Bug 115904 - [GTK] Remove unnecessary GLIB_CHECK_VERSION #ifdefs
Summary: [GTK] Remove unnecessary GLIB_CHECK_VERSION #ifdefs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-10 06:08 PDT by Carlos Garcia Campos
Modified: 2013-05-13 10:23 PDT (History)
8 users (show)

See Also:


Attachments
Patch (8.56 KB, patch)
2013-05-10 06:10 PDT, Carlos Garcia Campos
mrobinson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2013-05-10 06:08:30 PDT
We already bumped to glib 2.3.6, so we can get rid of most of the #ifdefed code.
Comment 1 Carlos Garcia Campos 2013-05-10 06:10:52 PDT
Created attachment 201339 [details]
Patch
Comment 2 WebKit Commit Bot 2013-05-10 06:12:04 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Martin Robinson 2013-05-10 08:46:34 PDT
Comment on attachment 201339 [details]
Patch

Nice cleanup.
Comment 4 Carlos Garcia Campos 2013-05-10 09:10:51 PDT
Committed r149879: <http://trac.webkit.org/changeset/149879>
Comment 5 Zoltan Arvai 2013-05-10 16:02:58 PDT
After the patch Qt Linux MIPS32R2 LE Release bot failed to build: 

/data/buildbot/mips-1/qt-linux-mipsel-mips32r2-release/build/Source/WTF/wtf/gobject/GRefPtr.cpp: In function 'T* WTF::refGPtr(T*) [with T = GBytes]':
/data/buildbot/mips-1/qt-linux-mipsel-mips32r2-release/build/Source/WTF/wtf/gobject/GRefPtr.cpp:69: error: 'g_bytes_ref' was not declared in this scope
/data/buildbot/mips-1/qt-linux-mipsel-mips32r2-release/build/Source/WTF/wtf/gobject/GRefPtr.cpp: In function 'void WTF::derefGPtr(T*) [with T = GBytes]':
/data/buildbot/mips-1/qt-linux-mipsel-mips32r2-release/build/Source/WTF/wtf/gobject/GRefPtr.cpp:76: error: 'g_bytes_unref' was not declared in this scope

http://build.webkit.org/builders/Qt%20Linux%20MIPS32R2%20LE%20Release/builds/14574/steps/compile-webkit/logs/stdio
Comment 6 Carlos Garcia Campos 2013-05-12 02:15:38 PDT
(In reply to comment #5)
> After the patch Qt Linux MIPS32R2 LE Release bot failed to build: 
> 
> /data/buildbot/mips-1/qt-linux-mipsel-mips32r2-release/build/Source/WTF/wtf/gobject/GRefPtr.cpp: In function 'T* WTF::refGPtr(T*) [with T = GBytes]':
> /data/buildbot/mips-1/qt-linux-mipsel-mips32r2-release/build/Source/WTF/wtf/gobject/GRefPtr.cpp:69: error: 'g_bytes_ref' was not declared in this scope
> /data/buildbot/mips-1/qt-linux-mipsel-mips32r2-release/build/Source/WTF/wtf/gobject/GRefPtr.cpp: In function 'void WTF::derefGPtr(T*) [with T = GBytes]':
> /data/buildbot/mips-1/qt-linux-mipsel-mips32r2-release/build/Source/WTF/wtf/gobject/GRefPtr.cpp:76: error: 'g_bytes_unref' was not declared in this scope
> 
> http://build.webkit.org/builders/Qt%20Linux%20MIPS32R2%20LE%20Release/builds/14574/steps/compile-webkit/logs/stdio

Oops, sorry. What glib version is required by qtwebkit? Doesn't qt use gst 1.0 already? gst 1 requires glib 2.32 that's why I assumed this would not break qt build (and that EWS passed).
Comment 7 Balazs Kilvady 2013-05-13 01:42:28 PDT
> Oops, sorry. What glib version is required by qtwebkit? Doesn't qt use gst 1.0 already? gst 1 requires glib 2.32 that's why I assumed this would not break qt build (and that EWS passed).

Qt Linux MIPS32R2 LE Release bot uses gst 0.10 and glib 2.24.2.
Comment 8 Carlos Garcia Campos 2013-05-13 01:53:44 PDT
(In reply to comment #7)
> > Oops, sorry. What glib version is required by qtwebkit? Doesn't qt use gst 1.0 already? gst 1 requires glib 2.32 that's why I assumed this would not break qt build (and that EWS passed).
> 
> Qt Linux MIPS32R2 LE Release bot uses gst 0.10 and glib 2.24.2.

Ok, thanks, I'll fix it then.
Comment 9 Carlos Garcia Campos 2013-05-13 09:19:55 PDT
(In reply to comment #8)
> (In reply to comment #7)
> > > Oops, sorry. What glib version is required by qtwebkit? Doesn't qt use gst 1.0 already? gst 1 requires glib 2.32 that's why I assumed this would not break qt build (and that EWS passed).
> > 
> > Qt Linux MIPS32R2 LE Release bot uses gst 0.10 and glib 2.24.2.
> 
> Ok, thanks, I'll fix it then.

Should be fixed now:

http://trac.webkit.org/changeset/150019
Comment 10 Zoltan Arvai 2013-05-13 10:23:52 PDT
(In reply to comment #9)
> (In reply to comment #8)
> > (In reply to comment #7)
> > > > Oops, sorry. What glib version is required by qtwebkit? Doesn't qt use gst 1.0 already? gst 1 requires glib 2.32 that's why I assumed this would not break qt build (and that EWS passed).
> > > 
> > > Qt Linux MIPS32R2 LE Release bot uses gst 0.10 and glib 2.24.2.
> > 
> > Ok, thanks, I'll fix it then.
> 
> Should be fixed now:
> 
> http://trac.webkit.org/changeset/150019

The Qt MIPS bot is green again. Thank you.